#version 150


in vec3 vert_position;
in vec3 vert_normal;
in mat4 vert_model;


out vec4 geom_normal;


void main()
{
    gl_Position = vert_model * vec4(vert_position, 1);
    geom_normal = vert_model * vec4(vert_normal,   0);
}
